###################################################################
#
#  dahdi-tools.spec - used to generate dahdi-tools rpms
#  For more info: http://www.rpm.org/max-rpm/ch-rpm-basics.html
#
#  This spec file uses default directories:
#  /usr/src/redhat/SOURCES - orig source, patches, icons, etc.
#  /usr/src/redhat/SPECS - spec files
#  /usr/src/redhat/BUILD - sources unpacked & built here
#  /usr/src/redhat/RPMS - binary package files
#  /usr/src/redhat/SRPMS - source package files
#
###################################################################
#
#  Global Definitions
#
###################################################################
%define aversion 2.5.0.1
%define arelease 1_centos5
%define actversion %(echo %{aversion}|sed -e "s/-.*$//g")
%define subvers %(echo %{aversion}|awk "/-/"|sed -e "s/^.*-//"|awk '{print "0." $1 "."}')
%define actrelease %(echo %{subvers}%{arelease}|sed -e "s/-/_/g")

#Workaround for 64 bit CPUs
%define _lib lib

###################################################################
#
#  The Preamble
#  information that is displayed when users request info
#
###################################################################
Summary: The DAHDI project
Name: dahdi-tools
Version: %{actversion}
Release: %{actrelease}
License: GPL
Group: Utilities/System
Source: %{name}-sources-%{aversion}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.asterisk.org/
Vendor: Digium, Inc.
Packager: Jason Parker <jparker@digium.com>
%{!?_without_newt:Requires: newt}
%{!?_without_newt:BuildRequires: newt-devel}
BuildRequires: libusb-devel
Requires: dahdi-linux
BuildRequires: dahdi-linux-devel
#
# Other tags not used
#
#Distribution:
#Icon:
#Conflicts:
#Serial:
#Requires:
#AutoReqProv:
#ExcludeArch:

%description
The open source DAHDI project

%package doc
Summary: Documentation files for DAHDI
Group: Development/Libraries
#Requires: %{name} = %{actversion}-%{release}

%description doc
The Documentation files for DAHDI

%package -n libtonezone
Summary: Libtonezone, from the open source DAHDI project
Group: Development/Libraries

%description -n libtonezone
libtonezone is a component from the open source DAHDI project

%package -n libtonezone-devel
Summary: Libtonezone libraries and header files for libtonezone development
Group: Development/Libraries
Requires: libtonezone = %{actversion}-%{release}

%description -n libtonezone-devel
The static libraries and header files needed for building additional plugins/modules

###################################################################
#
#  The Prep Section
#  If stuff needs to be done before building, this is the section
#  Use shell scripts to do stuff like uncompress and cd into source dir 
#  %setup macro - cleans old build trees, uncompress and extracts original source 
#
###################################################################
%prep
%setup -n %{name}-%{aversion}

###################################################################
#
#  The Build Section
#  Use shell scripts and do stuff that makes the build happen, i.e. make
#
###################################################################
%build
echo %{aversion} > .version
./configure
make menuselect.makeopts
menuselect/menuselect --enable-category=MENUSELECT_UTILS
make
make tests

###################################################################
#
#  The Install Section
#  Use shell scripts and perform the install, like 'make install', 
#  but can also be shell commands, i.e. cp, mv, install, etc.. 
#
###################################################################
%install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/network-scripts/
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install-tests
make DESTDIR=$RPM_BUILD_ROOT config

###################################################################
#
#  Install and Uninstall 
#  This section can have scripts that are run either before/after
#  an install process, or before/after an uninstall process
#  %pre - executes prior to the installation of a package
#  %post - executes after the package is installed
#  %preun - executes prior to the uninstallation of a package
#  %postun - executes after the uninstallation of a package
#
###################################################################
%post
chkconfig --add dahdi

###################################################################
#
#  Verify
#
###################################################################
%verifyscript

###################################################################
#
#  Clean
#
###################################################################
%clean
cd $RPM_BUILD_DIR
%{__rm} -rf %{name}-%{version} 
%{__rm} -rf /var/log/%{name}-sources-%{version}-%{release}.make.err
%{__rm} -rf $RPM_BUILD_ROOT

###################################################################
#
#  File List
#
###################################################################
%files
%{_sbindir}
%config %{_sysconfdir}/hotplug/
%config(noreplace) %{_sysconfdir}/dahdi/
%config %{_sysconfdir}/init.d/dahdi
%config %{_sysconfdir}/modprobe.d/dahdi.conf
%config %{_sysconfdir}/modprobe.d/dahdi.blacklist.conf
%config %{_sysconfdir}/sysconfig/network-scripts/ifup-hdlc
/usr/share/dahdi/
%{perl_sitelib}

%files doc
#
#  Documents
#
%{_mandir}/man8/
#%doc README
#%doc README.Astribank
#%doc README.fxotune
#%doc README.fxsusb
#%doc README.Linux26
#%doc CHANGES

%files -n libtonezone
#
#  Module List
#
%defattr(-, root, root)
%{_libdir}/libtonezone.so
%{_libdir}/libtonezone.so.2
%{_libdir}/libtonezone.so.2.0
%{_libdir}/libtonezone.so.1
%{_libdir}/libtonezone.so.1.0

%files -n libtonezone-devel
#
#  Header Files
#
%defattr(-, root, root)
%{_includedir}/dahdi/tonezone.h
%{_libdir}/libtonezone.a
